Name:           compiz-quinn
BuildRequires:  imake control-center-devel freeglut-devel gcc-c++ GConf2-devel gtk2-devel intltool libdrm-devel libsvg-cairo-devel libwnck-devel pango-devel 
Url:            http://beerorkid.com/compiz/
License:        X11/MIT/GPL
Group:          User Interface/Desktops
Requires:       GConf2 gtk2 gnome-desktop xorg-x11-server-Xgl fedora-xgl-settings
Autoreqprov:    on
Version:        0.0.10
Release:        1%{?dist}
Summary:        OpenGL window and compositing manager
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:  %ix86 x86_64 ppc ppc64 ia64
Source:         Mesa-CVS-20060502.tar.bz2
Source1:        compiz-quinn-0.0.10.tar.gz
Source2:        fedora-logo.png
Source3:	gnome-compizrc
Source4:	gnome-compiz.desktop
Patch0:         Mesa-6.4.1-x86_64-fixes-1.patch
Patch1:         Mesa-configs.diff

%description
Compiz is an OpenGL compositing manager that use
GLX_EXT_texture_from_drawable for binding redirected top-level windows
to texture objects. It has a flexible plug-in system and it is designed
to run well on most graphics hardware.

Authors: David Reveman <davidr@novell.com>

%prep
PREFIX=/usr/bin
rm -rf $RPM_BUILD_DIR/*

%setup -q -n . -D -T -b 0 -b 1 
pushd Mesa
%patch0 -p0 -b .x86_64-fixes-1.patch
%patch1 -p0 -b .configs.diff
popd

#pushd compiz*
#%patch100 -p0 -b .fedora-logo.patch
#popd

%build
PREFIX=/usr
mkdir -p $PREFIX

## make mesa
pushd Mesa || exit 1
%ifarch %ix86
ln -snf linux-indirect-x86-static configs/current
cd src && make %{?_smp_mflags} ARCH_FLAGS="-fno-strict-aliasing" || exit 1
%endif
%ifarch x86_64
ln -snf linux-indirect-x86-64-static configs/current
cd src && make %{?_smp_mflags} ARCH_FLAGS="-fno-strict-aliasing" || exit 1
%endif
%ifarch ppc
ln -snf linux-indirect-ppc-static configs/current
cd src && make %{?_smp_mflags} ARCH_FLAGS="-fno-strict-aliasing" || exit 1
%endif
%ifnarch ppc x86_64 %ix86 
make linux-dri-static EXTRA_LIB_PATH=-L/usr/X11R6/%_lib LIB_DIR=\$\(TOP\)/%_lib ARCH_FLAGS="-fno-strict-aliasing" || exit 1
ln -snf linux-indirect-static configs/current
cd src && make %{?_smp_mflags} EXTRA_LIB_PATH=-L/usr/X11R6/%_lib LIB_DIR=\$\(TOP\)/%_lib ARCH_FLAGS="-fno-strict-aliasing" || exit 1
%endif
popd

## make compiz
pushd compiz* || exit 1
cp -f %{SOURCE2} images/
# Need special static libGL (EXT_texture_from_pixmap) for indirect rendering.
mesagl="`echo $RPM_BUILD_DIR/Mesa/%_lib/libGL.a`"
./configure --prefix=/usr --libdir=/usr/%_lib --enable-libsvg-cairo --with-gl-libs="$mesagl -L/usr/X11R6/lib -lX11 -lXext -lXxf86vm -pthread -ldrm" || exit 1
make %{?_smp_mflags} 
popd

%install
rm -rf $RPM_BUILD_ROOT
## install compiz
pushd compiz* || exit 1
mkdir -p $RPM_BUILD_ROOT/usr/share/doc
cp -f ChangeLog COPYING README AUTHORS $RPM_BUILD_ROOT/usr/share/doc
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=0
make DESTDIR=$RPM_BUILD_ROOT install || exit 1
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
popd

PREFIX=/usr
find $RPM_BUILD_ROOT \( -name \*.a -o -name \*.la \) -print -execdir rm \{\} +
rm -rf $RPM_BUILD_ROOT$PREFIX/%_lib/pkgconfig $RPM_BUILD_ROOT$PREFIX/include
rm -f $RPM_BUILD_ROOT$PREFIX/%_lib/compiz/libgconf-dump.so
cp -f %{SOURCE3} $RPM_BUILD_ROOT/usr/bin
mkdir $RPM_BUILD_ROOT/usr/share/gnome/autostart
cp -f %{SOURCE4} $RPM_BUILD_ROOT/usr/share/gnome/autostart

%post
/usr/bin/gconftool-2 --shutdown
export GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source`
/usr/bin/gconftool-2 --makefile-install-rule usr/etc/gconf/schemas/compiz.schemas >/dev/null


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc /usr/share/doc/AUTHORS
%doc /usr/share/doc/COPYING
%doc /usr/share/doc/README
%doc /usr/share/doc/ChangeLog
/usr/bin/compiz
/usr/bin/gnome-window-decorator
%dir /usr/%_lib/compiz
/usr/%_lib/compiz/lib*
%dir /usr/share/compiz
/usr/share/compiz/*.png
/usr/%_lib/window-manager-settings/libcompiz*
/usr/share/gnome/wm-properties/compiz.desktop
/usr/etc/gconf/schemas/compiz.schemas
/usr/bin/gnome-compizrc
/usr/share/gnome/autostart/gnome-compiz.desktop

%changelog
* Sun Jul 30 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri May 19 2006 Alphonse Van Assche <alcapcom@gmail.com> 1.0.0-4
- init package
